%{?nodejs_find_provides_and_requires}

%global packagename elliptic
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 6.3.2
Release: 1%{?dist}.3
Summary: EC cryptography
License: MIT
URL: https://github.com/indutny/elliptic
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.4.0
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(brorand) >= 1.0.1
BuildRequires: npm(brorand) < 2.0.0
BuildRequires: npm(hash.js) >= 1.0.0
BuildRequires: npm(hash.js) < 2.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.1.0
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
Fast elliptic-curve cryptography in a plain javascript implementation.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter=spec test/index.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 6.3.2-1
- Initial package.
